"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadConfig = loadConfig;
const promises_1 = require("node:fs/promises");
async function loadConfig(configPath) {
    try {
        const configContent = await (0, promises_1.readFile)(configPath, "utf-8");
        const config = JSON.parse(configContent);
        // Validate required fields
        if (!config.specSource) {
            throw new Error("specSource is required in configuration");
        }
        if (!config.exportDir) {
            throw new Error("exportDir is required in configuration");
        }
        return config;
    }
    catch (error) {
        if (error instanceof Error) {
            throw new Error(`Failed to load configuration: ${error.message}`);
        }
        throw new Error("Failed to load configuration: Unknown error");
    }
}
